libgcj/5916: New version of zlib (1.1.4) fixes security issue

mark@klomp.org mark@klomp.org
Mon Mar 11 13:06:00 GMT 2002


>Number:         5916
>Category:       libgcj
>Synopsis:       New version of zlib (1.1.4) fixes security issue
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    unassigned
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Mar 11 13:06:01 PST 2002
>Closed-Date:
>Last-Modified:
>Originator:     mark@klomp.org
>Release:        gcc 3.1
>Organization:
>Environment:

>Description:
gcc contains the zlib library for libgcj zip file support.
The current version included with gcc (zlib 1.1.3) contains
a security issue as explained at:
http://www.gzip.org/zlib/advisory-2002-03-11.txt

A new version (zlib 1.1.4) is available that fixes this issue. It can be obtained through http://www.gzip.org/zlib/.
This new version should be imported into gcc.
>How-To-Repeat:

>Fix:

>Release-Note:
>Audit-Trail:
>Unformatted:



More information about the Java-prs mailing list